Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IMailContainer

All Superinterfaces:
  IContainer, IGroupwareContainer, IItem, java.io.Serializable

All Known Subinterfaces:
  IExchangeMailContainer

public interface IMailContainer
extends IGroupwareContainer

Container class that holds mail messages.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `IMailContainer`.

Fields inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`KEYID_TOTAL_ITEM_COUNT, KEYID_UNREAD_ITEM_COUNT, TOTAL_ITEM_COUNT, UNREAD_ITEM_COUNT`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IMailMessage[]` | `getMailMessages()` Gets all of the mail items in the container using the default keys specified for an `IMailMessage`.
`IMailMessage[]` | `getMailMessages(QueryProfile queryProfile)` Gets all of the mail items in the container matching the specified `QueryProfile`.
`IMailMessageList` | `getMailMessages(QueryProfile queryProfile, int iPageSize, int iPage)` Gets mail items in the container given a number of mail items per 'page' and a page number.

Methods inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`getTotalItemCount, getUnreadItemCount`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    public static final ContainerClass CLASS

  The `ContainerClass` that represents an `IMailContainer`.

Method Detail

### getMailMessages

    public IMailMessage[] getMailMessages()
                                   throws CollaborationException

  Gets all of the mail items in the container using the default keys specified for an `IMailMessage`.

  Returns:
    the mail items (empty array if there are no mail items, never `null`)
  Throws:
    `CollaborationException`

### getMailMessages

    public IMailMessage[] getMailMessages(QueryProfile queryProfile)
                                   throws CollaborationException

  Gets all of the mail items in the container matching the specified `QueryProfile`.

  Parameters:
    `queryProfile` - the query profile to use when getting mail items
  Returns:
    the mail items (empty array if there are no mail itmes, never `null`)
  Throws:
    `CollaborationException`

### getMailMessages

    public IMailMessageList getMailMessages(QueryProfile queryProfile,
                                            int iPageSize,
                                            int iPage)
                                     throws CollaborationException

  Gets mail items in the container given a number of mail items per 'page' and a page number. This method can potentially overwrite the start index and length value provided in `QueryProfile`.

  Parameters:
    `queryProfile` - the query profile to use when getting mail items
    `iPageSize` - the count of mail items that makes a 'page' (<=0 for all)
    `iPage` - the page number to fetch (must be >=1)
  Returns:
    the mail items
  Throws:
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.